(***********************************************************************)
(*                                                                     *)
(*                                Ulib                                 *)
(*                                                                     *)
(*                   OCaml user's additional library                   *)
(*                                                                     *)
(*               EPI Pomdapi, INRIA Paris - Rocquencourt               *)
(*                                                                     *)
(*  Copyright 2004-2014 INRIA.                                         *)
(*  Institut National de Recherche en Informatique et en Automatique.  *)
(*  All rights reserved. This file is distributed only by permission.  *)
(*                                                                     *)
(*  Francois Clement <Francois.Clement@inria.fr>                       *)
(*  Pierre Weis <Pierre.Weis@inria.fr>                                 *)
(*                                                                     *)
(***********************************************************************)

(* Beginning of ocamlprint_xmlc.bin generated code *)

let print_xml_index ppf = function
  | u_t -> Unatural_print_xml.print_xml_t ppf u_t
;;

let print_xml_length ppf = function
  | u_t -> Unatural_print_xml.print_xml_t ppf u_t
;;

let print_xml_t px_a ppf = function
  | { Udynamic_array.array = a_a; Udynamic_array.default = a; } ->
    Format.fprintf ppf "%,@[<1>{@,";
    Lib_print_xml.print_xml_Array px_a ppf a_a; Format.fprintf ppf "%,;";
    px_a ppf a; Format.fprintf ppf "%,;"; Format.fprintf ppf "%,@,}@]"
;;

(* End of ocamlprint_xmlc.bin generated code *)
